"use strict";
/*!
 * name: @jswork/filter-react-props
 * description: Get filterd react props.
 * homepage:
 * version: 1.0.1
 * date: 2021-05-28 17:49:11
 * license: MIT
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var filter_react_props_1 = __importDefault(require("filter-react-props"));
exports.default = (function (inProps, inFilterList) {
    if (inFilterList === void 0) { inFilterList = []; }
    var filtered = filter_react_props_1.default(inProps);
    return Object.keys(filtered)
        .filter(function (item) { return !inFilterList.includes(item); })
        .reduce(function (cleanProps, propName) {
        cleanProps[propName] = inProps[propName];
        return cleanProps;
    }, {});
});
